UiContainer

com.j0h1.contour.admin.client

## Class UiContainer

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - com.j0h1.contour.admin.client.UiContainer

- All Implemented Interfaces:
    com.google.gwt.core.client.EntryPoint, com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class UiContainer
      extends com.google.gwt.user.client.ui.Composite
      implements com.google.gwt.core.client.EntryPoint

  Parent container for image-, track-, player- and session-management containers.
  Author:
    Johannes Riedmann

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static interface` | `UiContainer.UiContainerUiBinder`

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ImageContainer` | `imageContainer`
    `private PlayerContainer` | `playerContainer`
    `private SessionContainer` | `sessionContainer`
    `(package private) com.google.gwt.user.client.ui.TabPanel` | `tpnContainer`
    `private TrackContainer` | `trackContainer`
    `private static UiContainer.UiContainerUiBinder` | `uiBinder`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UiContainer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onModuleLoad()`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### uiBinder

          private static UiContainer.UiContainerUiBinder uiBinder

    - #### tpnContainer

          @UiField
          com.google.gwt.user.client.ui.TabPanel tpnContainer

    - #### imageContainer

          private ImageContainer imageContainer

    - #### trackContainer

          private TrackContainer trackContainer

    - #### playerContainer

          private PlayerContainer playerContainer

    - #### sessionContainer

          private SessionContainer sessionContainer

  - ### Constructor Detail

    - #### UiContainer

          public UiContainer()

  - ### Method Detail

    - #### onModuleLoad

          public void onModuleLoad()

      Specified by:
        `onModuleLoad` in interface `com.google.gwt.core.client.EntryPoint`